File: INSTALL.vorbis

package info (click to toggle)
darkice 1.0-1
  • links: PTS
  • area: main
  • in suites: wheezy
  • size: 1,876 kB
  • sloc: cpp: 31,022; sh: 9,455; makefile: 103
file content (39 lines) | stat: -rw-r--r-- 931 bytes parent folder | download | duplicates (9)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
Installing Ogg Vorbis
---------------------

To install DarkIce, you need the following Ogg Vorbis 1.0 or later
libraries (and related header files):

- libogg
- libvoribs
- libvorbisenc

installed on your system.

It is recommended that use install these to the usual system locations,
/usr/lib, /usr/include, so that DarkIce will find the header files and
libraries. Thus when configuring, add --prefix=/usr to the configure
options.

Grab the latest Ogg Vorbis tarballs from
http://www.xiph.org/ogg/vorbis/download.html

I took libogg-1.0.tar.gz and libvorbis-1.0.tar.gz. Go to the
directory where you saved them, and issue the following commands:

tar xfz libogg-1.0.tar.gz
cd libogg-1.0
./configure --prefix=/usr
make
make install
cd ..

tar xfz libvorbis-1.0.tar.gz
cd libvorbis-1.0
./configure --prefix=/usr
make
make install

For the install steps, you need to be root or have write permissions in the
target directories.